Bug 659663 - Review Request: python-netcf - python binding for netcf
Review Request: python-netcf - python binding for netcf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-12-03 06:49 EST by Lars Sjöström
Modified: 2014-01-16 04:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 05:14:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Sjöström 2010-12-03 06:49:18 EST
Spec URL: http://lsjostro.fedorapeople.org/python-netcf.spec
SRPM URL: http://lsjostro.fedorapeople.org/python-netcf-0.1.0-1.fc14.src.rpm
Description: python-netcf is a Python binding around netcf.

This is my first package so I will be needing a sponsor!
Comment 1 Lars Sjöström 2010-12-13 16:05:30 EST
Some additional info.

I'm the upstream author for this package. 
code is hosted here:
http://git.fedorahosted.org/git/?p=python-netcf.git 

In parallel with this I'm working with the upstream netcf team to get a formal code review.
Comment 2 Kevin Fenzi 2010-12-18 15:12:14 EST
I'll go ahead and look at reviewing this and sponsoring you. 

Do you have any other packages to submit at this time? Having a few more is good to show that you understand all the guidelines. Also, can you go do some 'pre-reviews' of other packages awaiting review? This will show that you understand the guidelines and can point out issues in other packages. 

I'll look at reviewing this package soon...
Comment 3 Kevin Fenzi 2010-12-18 15:46:13 EST
Package Review
==============

Key:
ok = item checks out ok. 
ISSUE = Problem, see issues at the bottom. 

=== REQUIRED ITEMS ===

ok  Package is named according to the Package Naming Guidelines. 
ok  Spec file name must match the base package %{name}, in the format %{name}.spec.
ok  Spec file is legible and written in American English.
ok  Spec file lacks Packager, Vendor, PreReq tags.
ok  Spec uses macros instead of hard-coded directory names.
ok  Package consistently uses macros.
ok  Macros in Summary, %description expandable at SRPM build time.
ok  PreReq is not used.
ISSUE  Requires correct, justified where necessary.
ISSUE  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
ok  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)) or not present
ok  Package run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) and the beginning of %install.
ok  Package use %makeinstall only when ``make install DESTDIR=...'' doesn't work.
ok  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
ok  Changelog in prescribed format.
ISSUE  Rpmlint output
ok  License field in the package spec file matches the actual license.
ok  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
ok  License file installed when any subpackage combination is installed.
ok  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
ok  Sources contain only permissible code or content.
ISSUE  Sources used to build the package matches the upstream source, as provided in the spec URL.
	THIS PACKAGE: ec01408dc9175858d70f586e95494992  python-netcf-0.1.0.tar.gz
	UPSTREAM TAR: ?

ISSUE  Compiler flags are appropriate.
ok  Package must own all directories that it creates.
ok  Package does not own files or directories owned by other packages.
ok  Package requires other packages for directories it uses.
ok  Package does not contain duplicates in %files.
ok  Permissions on files are set properly.
ok  Each %files section contains %defattr.
ok  Package contains code, or permissable content.
ok  File names are valid UTF-8.
ok  Package uses nothing in %doc for runtime.
ok  Package contains no bundled libraries.
ok  Package does not generate any conflict.
ok  Package does not contains kernel modules.
ok  Package is not relocatable.
ok  Package successfully compiles and builds into binary rpms on at least one supported architecture.
ok  Package is not known to require ExcludeArch.
ok  Package installs properly.
ok  Package obeys FHS, except libexecdir and /usr/target.
ok  Package meets the Packaging Guidelines. [6]

=== SUGGESTED ITEMS ===
ok  Package functions as described.
ok  Latest version is packaged.
ISSUE  SourceX is a working URL.
ok  Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
ok  Package should compile and build into binary rpms on all supported architectures.
ok  Dist tag is present.
ok  Spec use %global instead of %define.
ok  No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
ok  Packages should try to preserve timestamps of original installed files.

=== Issues ===
1. (non-blocker): You can remove the first line from the spec (the comment) and 
the line after it, unless you are intending to maintain this in EPEL4/5 too.  

2. (non-blocker): The description doesn't scan very well. Perhaps: 

Python bindings for netcf.

3. (blocker): rpmlint says: 

This seems unavoidable, but you might add a comment to the spec about it: 

python-netcf.noarch: E: explicit-lib-dependency netcf-libs

Please provide a full/valid Source url. See: https://fedoraproject.org/wiki/Packaging/SourceURL I can't check your upstream source without a way to download it. 

python-netcf.src: W: invalid-url Source0: python-netcf-0.1.0.tar.gz
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

4. (blocker): Fix the build section? 
# Remove CFLAGS=... for noarch packages (unneeded) 
no need for CFLAGS for a noarch package. 

5. (non-blocker): I see there is a test file/dir. Would it be possible to add this 
to a %check section and run there at build time? If so, please do. ;)
Comment 4 Lars Sjöström 2010-12-18 19:43:58 EST
Thanks Kevin for finding time to sponsor me!

Good pointers! I've now a new revision available with the corrections from your identified issues.

Spec URL: http://lsjostro.fedorapeople.org/python-netcf.spec
SRPM URL: http://lsjostro.fedorapeople.org/python-netcf-0.1.0-2.fc14.src.rpm

$ rpmlint python-netcf.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint python-netcf-0.1.0-2.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I will do some pre-preview to try to demonstrate  that I understand the guidelines.

Thanks again!
Comment 5 Kevin Fenzi 2010-12-21 23:28:01 EST
Seems to not build here: 

+ /usr/bin/python setup.py test
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
   or: setup.py --help [cmd1 cmd2 ...]
   or: setup.py --help-commands
   or: setup.py cmd --help
error: invalid command 'test'

Doesn't seem that the setup.py supports test? 
can you call the tests directly somehow?
Comment 6 Lars Sjöström 2010-12-26 05:36:37 EST
It indeed builds.
$ wget http://lsjostro.fedorapeople.org/python-netcf-0.1.0-2.fc14.src.rpm
$ rpmbuild --rebuild python-netcf-0.1.0-2.fc14.src.rpm

You might have the old source? I've add the the test command to my setup.py to the new RPM release (2).
Comment 7 Kevin Fenzi 2010-12-26 15:36:04 EST
Oops. I did have the old source. ;( 

Sorry about that. 

it builds fine now. ;) 
If you could go do a few 'pre-reviews' I think we will be done...
Comment 8 Kevin Fenzi 2011-01-09 16:36:02 EST
Any chance to get to a few pre-reviews? :)
Comment 9 Miroslav Suchý 2012-12-16 07:47:46 EST
Kevin apparently do not have time. Moving it back to NEW so somebody else can pick it up.
Comment 10 Kevin Fenzi 2012-12-16 12:10:45 EST
I was waiting for Lars to do a few pre-reviews to show that they understand the guidelines... 

Lars? Are you still there? Did you get a chance to do some other pre-reviews?

Do you still wait to get this in?
Comment 11 Christopher Meng 2013-07-20 00:23:01 EDT
Please response ASAP or this bug may be closed.
Comment 12 Mario Blättermann 2013-11-01 05:04:47 EDT
No response from the ticket owner for almost three years. I'll close it now, adding FE-DEADREVIEW.

Note You need to log in before you can comment on or make changes to this bug.